path: /build/build/typing-extensions-dev-python-4.10.0+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/typing-extensions -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/typing-extensions
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/typing-extensions && luet-portage --dir
    /pkgdir/typing-extensions dev-python/typing-extensions && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7a90bc99fc9c8f18f39676d8797dc66f0d9428791b5ab05dfd963c897818b67c
  package:
    name: typing-extensions
    version: 4.10.0+3
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: eselect-rust
      version: '>=0'
      category: app-eselect
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backported and Experimental Type Hints for Python 3.8+
    uri:
    - https://pypi.org/project/typing-extensions/
    buildtimestamp: 2024-03-02 07:57:57.599555849 +0000 UTC m=+232.734641482
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/flit_core-3.7.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/typing-extensions
      kit: python-modules-kit
      original.package.name: dev-python/typing-extensions
      original.package.slot: "0"
      original.package.version: 4.10.0
    treedir: /build/packages
  package_dir: /pkgdir/typing-extensions
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 858fec47d5fa4388c4cd6d577e8c72326951f9427884c3cafd5aaa1ac6baf4ef
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/__pycache__/typing_extensions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/typing_extensions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/typing_extensions.cpython-39.pyc
- usr/lib/python3.9/site-packages/typing_extensions-4.10.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/typing_extensions-4.10.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/typing_extensions-4.10.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/typing_extensions.py
- usr/share/doc/typing-extensions-4.10.0/README.md.bz2
- var/db/pkg/dev-python/typing-extensions-4.10.0/BDEPEND
- var/db/pkg/dev-python/typing-extensions-4.10.0/BUILD_TIME
- var/db/pkg/dev-python/typing-extensions-4.10.0/CATEGORY
- var/db/pkg/dev-python/typing-extensions-4.10.0/CBUILD
- var/db/pkg/dev-python/typing-extensions-4.10.0/CFLAGS
- var/db/pkg/dev-python/typing-extensions-4.10.0/CHOST
- var/db/pkg/dev-python/typing-extensions-4.10.0/CONTENTS
- var/db/pkg/dev-python/typing-extensions-4.10.0/COUNTER
- var/db/pkg/dev-python/typing-extensions-4.10.0/CXXFLAGS
- var/db/pkg/dev-python/typing-extensions-4.10.0/DEFINED_PHASES
- var/db/pkg/dev-python/typing-extensions-4.10.0/DESCRIPTION
- var/db/pkg/dev-python/typing-extensions-4.10.0/EAPI
- var/db/pkg/dev-python/typing-extensions-4.10.0/FEATURES
- var/db/pkg/dev-python/typing-extensions-4.10.0/HOMEPAGE
- var/db/pkg/dev-python/typing-extensions-4.10.0/INHERITED
- var/db/pkg/dev-python/typing-extensions-4.10.0/IUSE
- var/db/pkg/dev-python/typing-extensions-4.10.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/typing-extensions-4.10.0/KEYWORDS
- var/db/pkg/dev-python/typing-extensions-4.10.0/LDFLAGS
- var/db/pkg/dev-python/typing-extensions-4.10.0/LICENSE
- var/db/pkg/dev-python/typing-extensions-4.10.0/PF
- var/db/pkg/dev-python/typing-extensions-4.10.0/RDEPEND
- var/db/pkg/dev-python/typing-extensions-4.10.0/SIZE
- var/db/pkg/dev-python/typing-extensions-4.10.0/SLOT
- var/db/pkg/dev-python/typing-extensions-4.10.0/USE
- var/db/pkg/dev-python/typing-extensions-4.10.0/environment.bz2
- var/db/pkg/dev-python/typing-extensions-4.10.0/repository
- var/db/pkg/dev-python/typing-extensions-4.10.0/typing-extensions-4.10.0.ebuild
package_cacheimage: ""
runtime:
  name: typing-extensions
  version: 4.10.0+3
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backported and Experimental Type Hints for Python 3.8+
  uri:
  - https://pypi.org/project/typing-extensions/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/flit_core-3.7.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/typing-extensions
    kit: python-modules-kit
    original.package.name: dev-python/typing-extensions
    original.package.slot: "0"
    original.package.version: 4.10.0
